Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class ScriptTestAdapter

    java.lang.Object
      org.codehaus.groovy.runtime.ScriptTestAdapter

All Implemented Interfaces:
  Test

    public class ScriptTestAdapter

An adapter to make any Groovy Script class an instance of a JUnit Test

Version:
  \$Revision\$

Constructor Summary
`ScriptTestAdapter(java.lang.Class scriptClass, java.lang.String[] arguments)`

Method Summary
`int` | `countTestCases()`
`void` | `run(TestResult result)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ScriptTestAdapter

    public ScriptTestAdapter(java.lang.Class scriptClass, java.lang.String[] arguments)

Method Detail

### countTestCases

    public int countTestCases()

### run

    public void run(TestResult result)

### toString

    public java.lang.String toString()

Groovy Documentation